Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface ValidateTag

    public interface ValidateTag

The ValidateTag interface can be used to validate a property annotation as a whole. Having an implementation scoped to the annotation is useful when the property exposes multiple attributes and the property isn't valid unless attributes are valid together. For example, you might have a property with "user-name", "password" and "server-name" attributes. If your control's code requires all three to authenticate someone, then the property might be invalid if one of the three attributes is missing.
Note that this is invoked per instance of the property annotation. For tags that allow multiple occurence, each occurence will be called individually. There is no support for cross instance validation at compile time.
Note: The ValidateTag interface is part of the WebLogic Workshop Control Development Kit. The Control Development Kit is for users who are creating advanced controls. It is available in your BEA installation in the following directory: BEA_HOME\weblogic81\samples\workshop\ControlDevKit\

Method Summary
`Issue[]` | `validateDuringCompile(String tagName, Map attributes, Map context)` Provides a way for property attribute annotations to be validated during compilation, and for you to display specific information in Source View for invalid annotations.
`Issue[]` | `validateDuringEdit(String tagName, Map attributes)` Not yet supported.

Method Detail

### validateDuringCompile

    Issue[] validateDuringCompile(String tagName,
                                  Map attributes,
                                  Map context)

  Provides a way for property attribute annotations to be validated during compilation, and for you to display specific information in Source View for invalid annotations. This method is called by the IDE under many circumstances, including attempts by the control's user to build a component that contains the control. Invalid annotations will be displayed in Source View with a red underline.

  Parameters:
    `tagName` - The name of the annotation being validated.
    `attributes` - The annotation's attributes in name/value pairs.
    `context` - State that the control you can use to accumulate information.
  Returns:
    An array of issues. If there are no issues the array should be empty.

### validateDuringEdit

    Issue[] validateDuringEdit(String tagName,
                               Map attributes)

  Not yet supported.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD